Package org.springframework.security.web.authentication.switchuser

# Interface SwitchUserAuthorityChanger

public interface SwitchUserAuthorityChanger
Allows subclasses to modify the `GrantedAuthority` list that will be assigned to the principal when they assume the identity of a different principal.

Configured against the `SwitchUserFilter`.

## Method Summary

Modifier and Type
Method
Description
`Collection<? extends org.springframework.security.core.GrantedAuthority>`
`modifyGrantedAuthorities(org.springframework.security.core.userdetails.UserDetails targetUser, org.springframework.security.core.Authentication currentAuthentication, Collection<? extends org.springframework.security.core.GrantedAuthority> authoritiesToBeGranted)`
Allow subclasses to add or remove authorities that will be granted when in switch user mode.

## Method Details

### modifyGrantedAuthorities

Collection<? extends org.springframework.security.core.GrantedAuthority> modifyGrantedAuthorities(org.springframework.security.core.userdetails.UserDetails targetUser, org.springframework.security.core.Authentication currentAuthentication, Collection<? extends org.springframework.security.core.GrantedAuthority> authoritiesToBeGranted)
Allow subclasses to add or remove authorities that will be granted when in switch user mode.

Parameters:
  `targetUser` - the UserDetails representing the identity being switched to
  `currentAuthentication` - the current Authentication of the principal performing the switching
  `authoritiesToBeGranted` - all `GrantedAuthority` instances to be granted to the user, excluding the special "switch user" authority that is used internally (guaranteed never null)
Returns:
  the modified list of granted authorities.